//============================================================================
// control/client/misc/screens.cs
//
// Copyright (c) 2003, 2006 by Kenneth C. Finney
//============================================================================
function PlayerInterface::onWake(%this)
{
   $enableDirectInput = "1";
   activateDirectInput();
   
   // Chat box dialog
   Canvas.pushDialog( MainChatBox );///***KCF CHAT
   chatBox.attach(MsgBoxMessageVector);///***KCF CHAT
   
   // just update the key map here
   playerKeymap.push();
}
function PlayerInterface::onSleep(%this)
{
   playerKeymap.pop();
}
function refreshBottomTextCtrl()
{
   BottomPrintText.position = "0 0";
}
function refreshCenterTextCtrl()
{
   CenterPrintText.position = "0 0";
}
function LoadScreen::onAdd(%this)
{
   %this.qLineCount = 0;
}
function LoadScreen::onWake(%this)
{
   CloseMessagePopup();
}
function LoadScreen::onSleep(%this)
{
   // Clear the load info:
   if ( %this.qLineCount !$= "" )
   {
      for ( %line = 0; %line < %this.qLineCount; %line++ )
         %this.qLine[%line] = "";
   }
   %this.qLineCount = 0;
   LOAD_MapName.setText( "" );
   LOAD_MapDescription.setText( "" );
   LoadingProgress.setValue( 0 );
   LoadingProgressTxt.setValue( "WAITING FOR SERVER" );
}
